<?php
/*
Description: Mostrar dashboard Widget con los paypals
Version: 1.2 (No mostrar tiendas no activas en el dashboard ni manuals)
Author: Arturo
License: GPLv2 or later
*/

defined( 'ABSPATH' ) || exit;

//Accion Hook Red
add_action('wp_network_dashboard_setup','dcms_agregar_widget');
//add_action('wp_dashboard_setup','dcms_agregar_widget');

//Agregar Widget de red
function dcms_agregar_widget(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypals for all sites','dcms_mostrar_widget');
}

//Mostrar Widget de red
function dcms_mostrar_widget(){
	global $wpdb,$ppdaysales;
	$mostrar="<table border=1 style='border-collapse: collapse;' width='100%'>";
	$mostrar.="<tr style='background-color:#f2f2f2;text-align:center;'><td>SITE NAME</td><td>PAYPAL</td><td width='50px'>TODAY SALES</td></tr>";
	$sites = get_sites(array('archived' => 0));
	foreach ( $sites as $site ) {
		$mostrar.="<tr>";
        switch_to_blog( $site->blog_id );
        //do things
		$table_name = $wpdb->prefix . 'terms';
		$hay= $wpdb->get_var("SELECT count(name) FROM ".$table_name." WHERE name = '_paypalupdatedate'");
		if ($hay==0){
			$wpdb->insert($table_name, array('term_id'=> 0, 'name' => '_paypalupdatedate', 'slug' => ''));
			$tri='CREATE TRIGGER `'.$wpdb->prefix.'options` AFTER UPDATE ON `'.$wpdb->prefix.'options`
			 FOR EACH ROW BEGIN
				IF OLD.option_name="woocommerce_ppec_paypal_settings" THEN
					UPDATE '.$table_name.'
					SET slug = CURRENT_TIMESTAMP
					WHERE name = "_paypalupdatedate";
				END IF ;
			END';
			$wpdb->get_results($tri);
		}

		$sitio = get_option( 'blogname' );
		$sitio1 = strpos(strtoupper($sitio),'MANUALS');
		if(is_bool($sitio1)){
			$pp_user_name=paypal_username('user');//user|email establece global $paypal_user_field
			// con este pp
			$pp_date_changed = get_paypal_date_changed($wpdb->prefix,'_paypalupdatedate');
			$main_paypal_site = get_main_shop($GLOBALS['paypal_cpt']);

			$colorcod=paypal_color($main_paypal_site,$pp_user_name); 
			$colorcod=paypal_color_span($colorcod);

			$ppdaysales=ppdaysales($main_paypal_site,$pp_user_name); 
			$mostrar.="<td><span> ".$sitio."</span></td><td><div style='color:red;font-size:16px;'>".$pp_user_name."</div>".$colorcod."&nbsp;&nbsp;Changed on: ".$pp_date_changed."</td><td align='center'><b>".$ppdaysales."</b></td>";

			$mostrar.="</tr>";
			}//fin de sitio <> manuals
		restore_current_blog();
		}//fin de foreach
	$mostrar.="</table>";
	echo $mostrar;
}// fin de funcion

//Accion Hook por pais
add_action('wp_dashboard_setup','agregar_widget');

//Agregar Widget por pais
function agregar_widget(){
	wp_add_dashboard_widget('id_mi_widget','Active Paypal for this site','mostrar_widget');
}

//Mostrar Widget por pais
function mostrar_widget(){
	global $wpdb;
	//$def=paypal_username();

	$pp_user_name=paypal_username('user');//user|email establece global $paypal_user_field
	// con este pp
	$pp_date_changed = get_paypal_date_changed($wpdb->prefix,'_paypalupdatedate');
	$main_paypal_site = get_main_shop($GLOBALS['paypal_cpt']);

	$colorcod=paypal_color($main_paypal_site,$pp_user_name); 
	$colorcod=paypal_color_span($colorcod);

	$ppdaysales=ppdaysales($main_paypal_site,$pp_user_name); 

	echo "<div>Paypal receiver active is: <div style='color:red;font-size:20px'>".$colorcod."&nbsp;&nbsp;".$pp_user_name."</div><hr>
	<div style='color:blue;font-size:15px;float:left;'>Since: ".$pp_date_changed."</div><div style='text-align:right;'>TODAY SALES: <b style='font-size:18px;'>".$ppdaysales."</b></div></div>";	
}// fin de funcion


